Bug 107056 - Character deformed when exporting PDF containing Source Han Serif font
Summary: Character deformed when exporting PDF containing Source Han Serif font
Status: RESOLVED DUPLICATE of bug 114704
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.2.6.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 113371 (view as bug list)
Depends on:
Blocks: CJK Fonts
  Show dependency treegraph
 
Reported: 2017-04-10 03:38 UTC by Star Brilliant
Modified: 2018-03-05 16:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test ODT document (14.21 KB, application/vnd.oasis.opendocument.text)
2017-04-10 03:39 UTC, Star Brilliant
Details
Test PDF output (43.75 KB, application/pdf)
2017-04-10 03:39 UTC, Star Brilliant
Details
Output Sample 5.2.6.2 (32.06 KB, application/pdf)
2017-04-13 01:13 UTC, Hiunn-hué
Details
Output Sample 6.0.1.1 (68.01 KB, application/pdf)
2018-02-23 07:02 UTC, Volga
Details
Output Sample 5.4.5.1 (62.44 KB, application/pdf)
2018-02-24 15:11 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Star Brilliant 2017-04-10 03:38:02 UTC
Cross-post: https://github.com/adobe-fonts/source-han-serif/issues/21

    Information for package libreoffice:
    ------------------------------------
    Repository     : openSUSE-20170403-0            
    Name           : libreoffice                    
    Version        : 5.3.1.2-1.3                    
    Arch           : x86_64                         
    Vendor         : openSUSE                       
    Installed Size : 269.0 MiB                      
    Installed      : Yes                            
    Status         : up-to-date                     
    Source package : libreoffice-5.3.1.2-1.3.src    

The version of Source Han Serif I'm currently installing is "language-specific OTF".
I can confirm the problem on both OTF and SuperOTC versions.

Screenshots:
[1]: Original document
https://cloud.githubusercontent.com/assets/1808930/24807988/efbd5826-1b7f-11e7-8771-833873f85c2b.png

[2]: Exported PDF
https://cloud.githubusercontent.com/assets/1808930/24808249/9fde235c-1b80-11e7-8ee6-00b25ea8e28f.png
Comment 1 Star Brilliant 2017-04-10 03:39:27 UTC
Created attachment 132432 [details]
Test ODT document
Comment 2 Star Brilliant 2017-04-10 03:39:53 UTC
Created attachment 132433 [details]
Test PDF output
Comment 3 Khaled Hosny (inactive) 2017-04-11 07:50:25 UTC
Can you test this on older versions of LibreOffice or OpenOffice? I doubt this is an issue introduced in 5.3 series.
Comment 4 Hiunn-hué 2017-04-13 01:13:34 UTC
Created attachment 132530 [details]
Output Sample 5.2.6.2


Reproduced with:

Version: 5.2.6.2
Build ID: a3100ed2409ebf1c212f5048fbe377c281438fdc
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
Locale: zh-TW (zh_TW); Calc: group 

Font: 
Noto Serif CJK TC (language-specific OTF)
Comment 5 Volga 2017-05-09 10:09:26 UTC
This bug looks not affect printing, tested with PDFCreator.
Comment 6 Xisco Faulí 2017-10-25 10:58:09 UTC
*** Bug 113371 has been marked as a duplicate of this bug. ***
Comment 7 Volga 2018-02-23 07:02:58 UTC
Created attachment 140080 [details]
Output Sample 6.0.1.1

Reproduced with:

Version: 6.0.1.1 (x64)
Build ID:60bfb1526849283ce2491346ed2aa51c465abfe6
CPU 线程:4; 操作系统:Windows 10.0; UI 渲染:默认; 
区域语言:zh-CN (zh_CN); Calc: group
Comment 8 Volga 2018-02-23 07:30:48 UTC
LibreOffice Chinese Community forum also reported that this bug looks fixed in 6.0.1.
https://www.libreofficechina.org/thread-1928-2-1.html
Comment 9 Star Brilliant 2018-02-23 17:53:41 UTC
I confirm this bug is fixed in version 6.0.1.1.
Comment 10 Kevin Suo 2018-02-24 01:53:23 UTC
In case we do not know exactly which commit have fixed this issue, the correct status should be RESOLVED WORKSFORME.

It will be great if some of you guys, who can reproduce this issue in a earlier version, to do a reverse bibisect to see which commit have fixed this.
Comment 11 Khaled Hosny (inactive) 2018-02-24 14:06:08 UTC
Most likely this was fixed with bug 114704.
Comment 12 Volga 2018-02-24 15:11:24 UTC
Created attachment 140113 [details]
Output Sample 5.4.5.1

Reproduced with: 

版本:5.4.5.1
Build ID:79c9829dd5d8054ec39a82dc51cd9eff340dbee8
CPU 线程:1; 操作系统:Windows 5.1; UI 渲染:默认; 
区域语言:zh-CN (zh_CN); Calc: group

(In reply to Khaled Hosny from comment #11)
> Most likely this was fixed with bug 114704.
Seen from wiki pages, both 5.4.5 and 6.0.x included this bugfix, so I agree with you.
Comment 13 Kevin Suo 2018-02-25 00:48:30 UTC
(In reply to Volga from comment #12)
But I see you said "Reproduced" in 5.4.5.1, while the pdf seems correct. Is "reproduced" a typo?

*** This bug has been marked as a duplicate of bug 114704 ***
Comment 14 Volga 2018-03-05 16:57:06 UTC
(In reply to Kevin Suo from comment #13)
> (In reply to Volga from comment #12)
> But I see you said "Reproduced" in 5.4.5.1, while the pdf seems correct. Is
> "reproduced" a typo?
No. I got both two versions to reproduce, and I installed LO 5.4.5 in a virtual machine to do.